SystemOrganization addCategory: #ConfigurationOfSPort2!

Object subclass: #ConfigurationOfSPort2
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSPort2'!

!ConfigurationOfSPort2 class methodsFor: 'private' stamp: 'dkh 12/8/2009 16:46'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfSPort2 class methodsFor: 'private' stamp: 'DaleHenrichs 1/6/2010 16:48'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfSPort2 class methodsFor: 'metacello tool support' stamp: 'dkh 12/8/2009 16:46'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSPort2 class methodsFor: 'metacello tool support' stamp: 'dkh 12/8/2009 16:46'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfSPort2 class methodsFor: 'metacello tool support' stamp: 'dkh 12/8/2009 16:46'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfSPort2 class methodsFor: 'accessing' stamp: 'dkh 12/8/2009 16:46'!
project

	^self new project! !

!ConfigurationOfSPort2 methodsFor: 'baselines' stamp: 'janko 1/16/2013 15:50'!
baseline231: spec 
	<version: '2.31-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec description: 'Configuration for Sport2 portability layer'.
		spec repository: 'http://smalltalkhub.com/mc/Sport/Sport/main'.].

	spec for: #squeakCommon do: [
		spec
			package: 'Sport' with: 'Sport-2';
			yourself.].
! !

!ConfigurationOfSPort2 methodsFor: 'baselines' stamp: 'DiegoLont 7/19/2013 14:56'!
baseline232: spec
	<version: '2.32-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec description: 'Initial configuration for SPort2'.
			spec repository: 'http://www.smalltalkhub.com/mc/SPort/SPort/main' ].
	spec
		for: #squeakCommon
		do: [ 
			spec
				package: 'Sport' with: 'Sport-2';
				yourself ].
	spec
		for: #'pharo2.x'
		do: [ spec package: 'FileSystemLegacy' with: [ spec repository: 'http://smalltalkhub.com/mc/PharoExtras/FileSystemLegacy/main' ] ]! !

!ConfigurationOfSPort2 methodsFor: 'accessing' stamp: 'dkh 12/8/2009 16:46'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear ]! !

!ConfigurationOfSPort2 methodsFor: 'versions' stamp: 'janko 1/16/2013 15:49'!
version231: spec
	<version: '2.31' imports: #('2.31-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec description: 'Configuration for Sport2 portability layer'.
		spec author: 'Janko Mivsek'.
		spec timestamp: '16.1.2013'.].
	spec for: #squeakCommon do: [
		spec
			package: 'Sport' with: 'Sport-2.031'.].
! !

!ConfigurationOfSPort2 methodsFor: 'versions' stamp: 'PaulDeBruicker 3/7/2013 07:58'!
version232: spec
	<version: '2.32' imports: #('2.32-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec description: 'SPort2 with changes for Pharo2'.
		spec author: 'PaulDeBruicker'.
		spec timestamp: '3/7/2013 16:48'.].
	spec for: #squeakCommon do: [
		spec
			package: 'Sport' with: 'Sport-2.031'.].
		spec for:#'pharo2.x' do:[
			spec package:'FileSystemLegacy' with: 'FileSystem-Legacy-CamilloBruni.1'
			
			]
! !

!ConfigurationOfSPort2 methodsFor: 'versions' stamp: 'JohanBrichau 3/31/2013 18:33'!
version233: spec
	<version: '2.33' imports: #('2.32-baseline' )>

	spec for: #common do: [
		spec blessing: #release.
		spec description: 'Updated FileSystem-Legacy version'.
		spec author: 'JohanBrichau'.
		spec timestamp: '3/30/2013 16:04'.].
	spec for: #squeakCommon do: [
		spec
			package: 'Sport' with: 'Sport-2.032'.].
		
	spec for:#'pharo2.x' do:[
		spec package:'FileSystemLegacy' with: 'FileSystem-Legacy-JohanBrichau.2'		]
! !
